<template>
  <ui-dialog
    :show="show"
    title="Delete Account"
    description="This will permanently delete your account!"
    content="Do you really want to delete your account irreversibly?"
    v-bind="{ info, success, warning, danger }"
    @close="show = false"
  >
    <template #buttons="{ close }">
      <ui-button gray light @click="close()">Cancel</ui-button>
      <ui-button v-bind="{ success, warning, danger }" @click="close()">
        Confirm
      </ui-button>
    </template>
  </ui-dialog>

  <div class="flex w-full items-end gap-8">
    <ui-select
      v-model="chosenOptions"
      label="Dialog type"
      hints="Sets default icon and its color."
      :options="typeOptions"
    />
    <ui-button @click="show = true">Show Dialog</ui-button>
  </div>
</template>

<script lang="ts" setup>
import { computed, ref } from 'vue'

const typeOptions = ['default', 'info', 'success', 'warning', 'danger']

const show = ref(false)
const chosenOptions = ref<string[]>([])

const info = computed(() => chosenOptions.value.includes('info'))
const success = computed(() => chosenOptions.value.includes('success'))
const warning = computed(() => chosenOptions.value.includes('warning'))
const danger = computed(() => chosenOptions.value.includes('danger'))
</script>
